Redeem Launch Token
curl --request POST \
--url https://api.member.dev/api/v1/apps/v1/launch/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"challenge": "<string>",
"token": "<string>"
},
"type": "embedded_app_launch_sessions"
}
}
'import requests
url = "https://api.member.dev/api/v1/apps/v1/launch/redeem"
payload = { "data": {
"attributes": {
"challenge": "<string>",
"token": "<string>"
},
"type": "embedded_app_launch_sessions"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {challenge: '<string>', token: '<string>'},
type: 'embedded_app_launch_sessions'
}
})
};
fetch('https://api.member.dev/api/v1/apps/v1/launch/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/apps/v1/launch/redeem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'challenge' => '<string>',
'token' => '<string>'
],
'type' => 'embedded_app_launch_sessions'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/apps/v1/launch/redeem"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"challenge\": \"<string>\",\n \"token\": \"<string>\"\n },\n \"type\": \"embedded_app_launch_sessions\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/apps/v1/launch/redeem")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"challenge\": \"<string>\",\n \"token\": \"<string>\"\n },\n \"type\": \"embedded_app_launch_sessions\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/apps/v1/launch/redeem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"challenge\": \"<string>\",\n \"token\": \"<string>\"\n },\n \"type\": \"embedded_app_launch_sessions\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"contact_id": "<string>",
"hub_id": "<string>",
"install_id": "<string>",
"session_ttl": 123
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}embedded-apps
Redeem Launch Token
Redeem a launch token once. Authenticate with the app’s client id and secret (Basic).
Returns who launched the app and a session lifetime of at most 5 minutes; renewing needs a fresh token from the hub, which re-checks eligibility.
POST
/
api
/
v1
/
apps
/
v1
/
launch
/
redeem
Redeem Launch Token
curl --request POST \
--url https://api.member.dev/api/v1/apps/v1/launch/redeem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"challenge": "<string>",
"token": "<string>"
},
"type": "embedded_app_launch_sessions"
}
}
'import requests
url = "https://api.member.dev/api/v1/apps/v1/launch/redeem"
payload = { "data": {
"attributes": {
"challenge": "<string>",
"token": "<string>"
},
"type": "embedded_app_launch_sessions"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {challenge: '<string>', token: '<string>'},
type: 'embedded_app_launch_sessions'
}
})
};
fetch('https://api.member.dev/api/v1/apps/v1/launch/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/apps/v1/launch/redeem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'challenge' => '<string>',
'token' => '<string>'
],
'type' => 'embedded_app_launch_sessions'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/apps/v1/launch/redeem"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"challenge\": \"<string>\",\n \"token\": \"<string>\"\n },\n \"type\": \"embedded_app_launch_sessions\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/apps/v1/launch/redeem")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"challenge\": \"<string>\",\n \"token\": \"<string>\"\n },\n \"type\": \"embedded_app_launch_sessions\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/apps/v1/launch/redeem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"challenge\": \"<string>\",\n \"token\": \"<string>\"\n },\n \"type\": \"embedded_app_launch_sessions\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"contact_id": "<string>",
"hub_id": "<string>",
"install_id": "<string>",
"session_ttl": 123
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Body
application/vnd.api+json